curl --request GET \
--url 'https://api.benzinga.com/api/v2.2/calendar/dividends?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.2/calendar/dividends?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.2/calendar/dividends?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dividends": [
{
"confirmed": false,
"currency": "USD",
"cusip": "33740U620",
"date": "2026-12-31",
"dividend": "0.1636",
"dividend_prior": "0.1636",
"dividend_type": "Cash",
"dividend_yield": "",
"end_regular_dividend": false,
"ex_dividend_date": "2027-01-04",
"exchange": "BATS",
"frequency": 12,
"id": "6958d4d893cde40001ee2606",
"importance": 1,
"isin": "US33740U6203",
"name": "First Trust Exchange-Traded Fund VIII FT Vest U.S. Equity Buffer & Premium Income ETF - March",
"notes": "",
"payable_date": "2027-01-05",
"period": "JAN",
"record_date": "2027-01-04",
"ticker": "XIMR",
"updated": 1767429336,
"year": 2027
},
{
"confirmed": false,
"currency": "USD",
"cusip": "33740F235",
"date": "2026-12-31",
"dividend": "0.1788",
"dividend_prior": "0.1788",
"dividend_type": "Cash",
"dividend_yield": "",
"end_regular_dividend": false,
"ex_dividend_date": "2027-01-04",
"exchange": "BATS",
"frequency": 12,
"id": "6958d4d393cde40001ee25f5",
"importance": 1,
"isin": "US33740F2359",
"name": "First Trust Exchange-Traded Fund VIII FT Vest U.S. Equity Buffer & Premium Income ETF - June",
"notes": "",
"payable_date": "2027-01-05",
"period": "JAN",
"record_date": "2027-01-04",
"ticker": "XIJN",
"updated": 1767429331,
"year": 2027
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Dividends
Returns dividends data for a selected period and/or security, including both confirmed and unconfirmed dividend dates. V2.2 includes additional fields: confirmed, period, and year. This version provides more detailed information about dividend confirmation status and periodicity.
{
"dividends": [
{
"confirmed": false,
"currency": "USD",
"cusip": "33740U620",
"date": "2026-12-31",
"dividend": "0.1636",
"dividend_prior": "0.1636",
"dividend_type": "Cash",
"dividend_yield": "",
"end_regular_dividend": false,
"ex_dividend_date": "2027-01-04",
"exchange": "BATS",
"frequency": 12,
"id": "6958d4d893cde40001ee2606",
"importance": 1,
"isin": "US33740U6203",
"name": "First Trust Exchange-Traded Fund VIII FT Vest U.S. Equity Buffer & Premium Income ETF - March",
"notes": "",
"payable_date": "2027-01-05",
"period": "JAN",
"record_date": "2027-01-04",
"ticker": "XIMR",
"updated": 1767429336,
"year": 2027
},
{
"confirmed": false,
"currency": "USD",
"cusip": "33740F235",
"date": "2026-12-31",
"dividend": "0.1788",
"dividend_prior": "0.1788",
"dividend_type": "Cash",
"dividend_yield": "",
"end_regular_dividend": false,
"ex_dividend_date": "2027-01-04",
"exchange": "BATS",
"frequency": 12,
"id": "6958d4d393cde40001ee25f5",
"importance": 1,
"isin": "US33740F2359",
"name": "First Trust Exchange-Traded Fund VIII FT Vest U.S. Equity Buffer & Premium Income ETF - June",
"notes": "",
"payable_date": "2027-01-05",
"period": "JAN",
"record_date": "2027-01-04",
"ticker": "XIJN",
"updated": 1767429331,
"year": 2027
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Headers
Specifies return format. Query parameters work the same for both formats
application/json Query Parameters
Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date
Number of results returned. Limit 1000
Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest
Date to query from point in time
Date to query to point in time
Dividend date field to sort on (newest to oldest)
announced, ex, payable, record Specifies how to filter using dividend yield. gt = Greater Than, gte = Greater Than Equal, eq = Equal, lt = Less Than, lte = Less Than Equal
gt, gte, eq, lte, lt The dividend yield amount to filter by. Defaults to using Equal To the amount indicated. 1 = 100%
The importance level to filter by. Uses Greater Than or Equal To the importance indicated
0, 1, 2, 3, 4, 5 One or more ticker symbols separated by a comma. Maximum 50 tickers
Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated
Response
Success
API response containing an array of dividend records
Show child attributes
Show child attributes
Was this page helpful?